Payments
organization_id*stringeventGroupIds?array<string>|Filter by the entry's Order's Event's EventGroup id. Repeat or comma-separate for several.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/ledger'{ "$schema": "https://example.com/schemas/PageLedgerEntry.json", "data": [ { "amountMinorUnits": 0, "category": "string", "createdAt": "2019-08-24T14:15:22Z", "creditAccount": "string", "currency": "string", "debitAccount": "string", "id": "string", "orderId": "string", "organizationId": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringcurrency?stringeventGroupIds?array<string>|Scope the balance to the named EventGroups. Repeat or comma-separate for several.
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriavailableMinor*integerint64currency*stringpayoutableMinor*integerint64reserveMinor*integerint64curl -X GET 'https://example.com/api/v1/organizations/string/ledger/balance'{ "$schema": "https://example.com/schemas/Balance.json", "availableMinor": 0, "currency": "string", "payoutableMinor": 0, "reserveMinor": 0}organization_id*stringeventGroupIds?array<string>|Filter by the payout's Order's Event's EventGroup id. Repeat or comma-separate for several.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/payouts'{ "$schema": "https://example.com/schemas/PagePayout.json", "data": [ { "$schema": "https://example.com/schemas/Payout.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "failureReason": "string", "id": "string", "merchantAccountId": "string", "orderId": "string", "organizationId": "string", "providerOrderId": "string", "providerPaymentId": "string", "providerTransferId": "string", "reserveMinorUnits": 0, "settledAt": "2019-08-24T14:15:22Z", "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringpayout_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriamountMinorUnits*integerint64bankReference?stringcreatedAt*stringdate-timecurrency*stringfailureReason?stringid*stringmerchantAccountId?stringorderId*stringorganizationId*stringproviderOrderId?stringproviderPaymentId?stringproviderTransferId?stringreserveMinorUnits*integerint64settledAt?stringdate-timestatus*stringcurl -X GET 'https://example.com/api/v1/organizations/string/payouts/string'{ "$schema": "https://example.com/schemas/Payout.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "failureReason": "string", "id": "string", "merchantAccountId": "string", "orderId": "string", "organizationId": "string", "providerOrderId": "string", "providerPaymentId": "string", "providerTransferId": "string", "reserveMinorUnits": 0, "settledAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringstatus?stringFilter by refund status
eventGroupIds?array<string>|Filter by the Order's Event's EventGroup id. Repeat or comma-separate for several.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/refunds'{ "$schema": "https://example.com/schemas/PageRefund.json", "data": [ { "$schema": "https://example.com/schemas/Refund.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "feeReturnedMinor": 0, "id": "string", "orderId": "string", "organizationId": "string", "providerRefundId": "string", "reason": "string", "sourcePaymentId": "string", "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringapplication/json- body
amountMinorUnits*integerint64orderId*stringreason?stringregistrationIds?array<string>|nullOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriamountMinorUnits*integerint64bankReference?stringcreatedAt*stringdate-timecurrency*stringfeeReturnedMinor*integerint64id*stringorderId*stringorganizationId*stringproviderRefundId?stringreason?stringsourcePaymentId?stringstatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/refunds' \ -H 'Content-Type: application/json' \ -d '{ "amountMinorUnits": 0, "orderId": "string"}'{ "$schema": "https://example.com/schemas/Refund.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "feeReturnedMinor": 0, "id": "string", "orderId": "string", "organizationId": "string", "providerRefundId": "string", "reason": "string", "sourcePaymentId": "string", "status": "string"}organization_id*stringrefund_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriamountMinorUnits*integerint64bankReference?stringcreatedAt*stringdate-timecurrency*stringfeeReturnedMinor*integerint64id*stringorderId*stringorganizationId*stringproviderRefundId?stringreason?stringsourcePaymentId?stringstatus*stringcurl -X GET 'https://example.com/api/v1/organizations/string/refunds/string'{ "$schema": "https://example.com/schemas/Refund.json", "amountMinorUnits": 0, "bankReference": "string", "createdAt": "2019-08-24T14:15:22Z", "currency": "string", "feeReturnedMinor": 0, "id": "string", "orderId": "string", "organizationId": "string", "providerRefundId": "string", "reason": "string", "sourcePaymentId": "string", "status": "string"}organization_id*stringcurrency?stringeventGroupIds?array<string>|Scope the statement to the named EventGroups. Repeat or comma-separate for several.
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriadjustmentsMinor*integerint64balanceMinor*integerint64collectedMinor*integerint64currency*stringpaidOutMinor*integerint64refundedMinor*integerint64curl -X GET 'https://example.com/api/v1/organizations/string/statements'{ "$schema": "https://example.com/schemas/LedgerStatement.json", "adjustmentsMinor": 0, "balanceMinor": 0, "collectedMinor": 0, "currency": "string", "paidOutMinor": 0, "refundedMinor": 0}token*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriamountMinorUnits*integerint64currency*stringdueAt?stringdate-timeeventName?stringorderId*stringpassName?stringproviderReady*booleanreturnUrl?stringstatus*stringcurl -X GET 'https://example.com/api/v1/pay/orders/string'{ "$schema": "https://example.com/schemas/PaymentSummary.json", "amountMinorUnits": 0, "currency": "string", "dueAt": "2019-08-24T14:15:22Z", "eventName": "string", "orderId": "string", "passName": "string", "providerReady": true, "returnUrl": "string", "status": "string"}token*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriamountMinorUnits*integerint64currency*stringdueAt*stringdate-timeeventName?stringorderId*stringpassName?stringpaymentToken?stringproviderOrderId*stringpublishableKey*stringreturnUrl?stringcurl -X GET 'https://example.com/api/v1/pay/orders/string/intent'{ "$schema": "https://example.com/schemas/PaymentIntent.json", "amountMinorUnits": 0, "currency": "string", "dueAt": "2019-08-24T14:15:22Z", "eventName": "string", "orderId": "string", "passName": "string", "paymentToken": "string", "providerOrderId": "string", "publishableKey": "string", "returnUrl": "string"}token*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriconverged*booleanorderId*stringstatus*stringcurl -X POST 'https://example.com/api/v1/pay/orders/string/reconcile'{ "$schema": "https://example.com/schemas/ReconcileResult.json", "converged": true, "orderId": "string", "status": "string"}token*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uricurrency*stringeventId*stringgrandTotalMinorUnits*integerint64id*stringstatus*stringcurl -X GET 'https://example.com/api/v1/pay/orders/string/status'{ "$schema": "https://example.com/schemas/PaidOrder.json", "currency": "string", "eventId": "string", "grandTotalMinorUnits": 0, "id": "string", "status": "string"}provider*stringX-Razorpay-Signature?stringX-Fake-Signature?stringbody*stringapplication/jsonOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
urireceived*booleancurl -X POST 'https://example.com/api/v1/payments/webhooks/string' \ -H 'Content-Type: application/json' \ -d 'string'{ "$schema": "https://example.com/schemas/WebhookOutputBody.json", "received": true}